## share-like-connect 0.4

=== CMakeLists.txt ===
project(share-like-connect)

find_package(KDE4 REQUIRED)
find_package(KDE4Internal REQUIRED)

include(KDE4Defaults)
include (MacroLibrary)

add_definitions(${KDE4_DEFINITIONS})
include_directories(${KDE4_INCLUDES})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

add_subdirectory(applet)
add_subdirectory(dataengine)


install(DIRECTORY menuitems/ DESTINATION ${DATA_INSTALL_DIR}/plasma/slcmenuitems/)

=== applet/CMakeLists.txt ===
project(sharelikeconnect)

install(DIRECTORY . DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.sharelikeconnect PATTERN .svn EXCLUDE PATTERN CMakeLists.txt EXCLUDE)

install(FILES metadata.desktop
        DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-sharelikeconnect.desktop)

=== dataengine/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/providerlib)
add_subdirectory(providerlib)
add_subdirectory(providers)

set(sharelikeconnectengine_SRCS
    contenttracker.cpp
    packageStructure.cpp
    sharelikeconnect.cpp
    slcservice/slcservice.cpp
    slcservice/slcjob.cpp
)

set(activitymanagerslc_xml org.kde.ActivityManager.SLC.xml)
QT4_ADD_DBUS_INTERFACE(sharelikeconnectengine_SRCS ${activitymanagerslc_xml} activitymanagerslc_interface)

kde4_add_plugin(plasma_dataengine_sharelikeconnect ${sharelikeconnectengine_SRCS})
target_link_libraries(plasma_dataengine_sharelikeconnect ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} sharelikeconnect)

install(TARGETS plasma_dataengine_sharelikeconnect DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dataengine-sharelikeconnect.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES plasma-sharelikeconnect-provider.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR} )

install(FILES slcservice/slcservice.operations DESTINATION ${DATA_INSTALL_DIR}/plasma/services)

=== dataengine/providerlib/CMakeLists.txt ===
set(sharelikeconnect_SRCS provider.cpp providerScriptEngine.cpp extension_io.cpp)

kde4_add_library(sharelikeconnect SHARED ${sharelikeconnect_SRCS})
target_link_libraries(sharelikeconnect ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} ${QT_QTSCRIPT_LIBRARY})
install(TARGETS sharelikeconnect ${INSTALL_TARGETS_DEFAULT_ARGS})

=== dataengine/providers/CMakeLists.txt ===
add_subdirectory(activities)
add_subdirectory(bookmarks)
add_subdirectory(rating)
add_subdirectory(sendbyemail)
add_subdirectory(tags)

#install(DIRECTORY identica/ DESTINATION ${DATA_INSTALL_DIR}/plasma/sharelikeconnect/org.kde.sharelikeconnect.identica)
#install(FILES identica/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME sharelikeconnect-provider-identica.desktop )

=== dataengine/providers/activities/CMakeLists.txt ===

find_package(Soprano)
  macro_log_feature(Soprano_FOUND "Soprano" "Semantic Desktop Storing" "http://soprano.sourceforge.net"
  TRUE "${SOPRANO_MIN_VERSION}" "Soprano is needed for Nepomuk")

set(activitiesProvider_SRCS
    activitiesProvider.cpp
)

find_package(NepomukCore REQUIRED)
find_package(KActivities REQUIRED)

include_directories(${CMAKE_SOURCE_DIR}/dataengine)
kde4_add_plugin(sharelikeconnect_provider_activities ${activitiesProvider_SRCS})
target_link_libraries(sharelikeconnect_provider_activities ${KDE4_KDECORE_LIBS} ${NEPOMUK_CORE_LIBRARY} ${NEPOMUK_QUERY_LIBRARIES} ${SOPRANO_LIBRARIES} ${SOPRANO_CLIENT_LIBRARIES} ${KACTIVITIES_LIBS} sharelikeconnect)

install(TARGETS sharelikeconnect_provider_activities DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES sharelikeconnect-provider-activities.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== dataengine/providers/bookmarks/CMakeLists.txt ===
set(bookmarksProvider_SRCS
    bookmarksProvider.cpp
)

find_package(NepomukCore REQUIRED)


include_directories(${CMAKE_SOURCE_DIR}/dataengine)
kde4_add_plugin(sharelikeconnect_provider_bookmarks ${bookmarksProvider_SRCS})
target_link_libraries(sharelikeconnect_provider_bookmarks ${KDE4_KDECORE_LIBS} ${NEPOMUK_CORE_LIBRARY} ${NEPOMUK_QUERY_LIBRARIES} ${SOPRANO_LIBRARIES} ${SOPRANO_CLIENT_LIBRARIES} sharelikeconnect)

install(TARGETS sharelikeconnect_provider_bookmarks DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES sharelikeconnect-provider-bookmarks.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== dataengine/providers/rating/CMakeLists.txt ===
set(ratingProvider_SRCS
    nepomukservicewatcher.cpp
    ratingProvider.cpp
)

find_package(NepomukCore REQUIRED)


include_directories(${CMAKE_SOURCE_DIR}/dataengine)
kde4_add_plugin(sharelikeconnect_provider_rating ${ratingProvider_SRCS})
target_link_libraries(sharelikeconnect_provider_rating ${KDE4_KDECORE_LIBS} ${NEPOMUK_CORE_LIBRARY} ${NEPOMUK_QUERY_LIBRARIES} ${SOPRANO_LIBRARIES} ${SOPRANO_CLIENT_LIBRARIES} sharelikeconnect )

install(TARGETS sharelikeconnect_provider_rating DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES sharelikeconnect-provider-rating.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== dataengine/providers/sendbyemail/CMakeLists.txt ===
set(sendbyemailProvider_SRCS
    sendbyemailProvider.cpp
)

find_package(Nepomuk REQUIRED)


include_directories(${CMAKE_SOURCE_DIR}/dataengine)
kde4_add_plugin(sharelikeconnect_provider_sendbyemail ${sendbyemailProvider_SRCS})
target_link_libraries(sharelikeconnect_provider_sendbyemail ${KDE4_KDECORE_LIBS} ${NEPOMUK_LIBRARIES} ${NEPOMUK_QUERY_LIBRARIES} ${SOPRANO_LIBRARIES} ${SOPRANO_CLIENT_LIBRARIES} sharelikeconnect)

install(TARGETS sharelikeconnect_provider_sendbyemail DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES sharelikeconnect-provider-sendbyemail.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== dataengine/providers/tags/CMakeLists.txt ===
set(tagsProvider_SRCS
    tagsProvider.cpp
)

find_package(NepomukCore REQUIRED)


include_directories(${CMAKE_SOURCE_DIR}/dataengine)
kde4_add_plugin(sharelikeconnect_provider_tags ${tagsProvider_SRCS})
target_link_libraries(sharelikeconnect_provider_tags ${KDE4_KDECORE_LIBS} ${NEPOMUK_CORE_LIBRARY} ${NEPOMUK_QUERY_LIBRARIES} ${SOPRANO_LIBRARIES} ${SOPRANO_CLIENT_LIBRARIES} sharelikeconnect )

install(TARGETS sharelikeconnect_provider_tags DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES sharelikeconnect-provider-tags.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
share-like-connect (1:0.4-0ubuntu1) saucy; urgency=low

  * New upstream release LP: #1227602
  * Use epoch to reset version number in line with upstream
  * Add build-dep on nepomuk-core-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Sep 2013 11:30:06 +0100

share-like-connect (3.0-0ubuntu1) raring; urgency=low

  * New upstream release
  * Add debian/not-installed
  * Update instal files
  * Run wrap-and-sort
  * Fixup debian/copyright
  * Bump Standards-Version

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 24 Dec 2012 16:28:17 +0000

share-like-connect (2.0+git2012021101-0ubuntu1) precise; urgency=low

  * Initial release

 -- Rodrigo Belem <rbelem@ubuntu.com>  Sat, 11 Feb 2012 21:16:59 -0400

=== debian/control ===
Source: share-like-connect
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kde-runtime,
               kdelibs5-dev (>= 4.11),
               libkactivities-dev,
               pkg-kde-tools (>= 0.5.0~),
               shared-desktop-ontologies,
               nepomuk-core-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/

Package: share-like-connect
Architecture: any
Depends: share-like-connect-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: an app that provides data interaction for Plasma Active
 A simple ubiquitous user interface for interacting with your data.
 .
 This package is part of the KDE share-like-connect module.

Package: share-like-connect-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: core shared data for share-like-connect
 This package contains architecture-independent data files needed to run
 share-like-connect.
 .
 This package is part of the KDE share-like-connect module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

TARFILE?=share-like-connect_2.0+git$(shell date +%Y%m%d)01.orig.tar.gz
DIRNAME?=share-like-connect-2.0+git$(shell date +%Y%m%d)01

get-orig-source:
	git archive --format=tar --prefix=$(DIRNAME)/ --remote=git://anongit.kde.org/share-like-connect Active/Two | gzip -c9 > ../$(TARFILE)

../$(TARFILE): get-orig-source

.PHONY: override_dh_auto_test

## share-like-connect 2.0+git2012021101

=== debian/control ===
Source: share-like-connect
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools (>= 0.5.0~),
 kdelibs5-dev (>= 4.7), libkactivities-dev, shared-desktop-ontologies,
 kde-runtime
Standards-Version: 3.9.2
Homepage: http://www.kde.org/

Package: share-like-connect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, share-like-connect-data (>= ${source:Version})
Description: an app that provides data interaction for Plasma Active
 A simple ubiquitous user interface for interacting with your data.
 .
 This package is part of the KDE share-like-connect module.

Package: share-like-connect-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: core shared data for share-like-connect
 This package contains architecture-independent data files needed to run
 share-like-connect.
 .
 This package is part of the KDE share-like-connect module.

## share-like-connect 3.0

=== dataengine/providers/rating/CMakeLists.txt ===
set(ratingProvider_SRCS
    ratingProvider.cpp
)

find_package(Nepomuk REQUIRED)


include_directories(${CMAKE_SOURCE_DIR}/dataengine)
kde4_add_plugin(sharelikeconnect_provider_rating ${ratingProvider_SRCS})
target_link_libraries(sharelikeconnect_provider_rating ${KDE4_KDECORE_LIBS} ${NEPOMUK_LIBRARIES} ${NEPOMUK_QUERY_LIBRARIES} ${SOPRANO_LIBRARIES} ${SOPRANO_CLIENT_LIBRARIES} sharelikeconnect )

install(TARGETS sharelikeconnect_provider_rating DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES sharelikeconnect-provider-rating.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== debian/control ===
Source: share-like-connect
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kde-runtime,
               kdelibs5-dev (>= 4.7),
               libkactivities-dev,
               pkg-kde-tools (>= 0.5.0~),
               shared-desktop-ontologies
Standards-Version: 3.9.3
Homepage: http://www.kde.org/

Package: share-like-connect
Architecture: any
Depends: share-like-connect-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: an app that provides data interaction for Plasma Active
 A simple ubiquitous user interface for interacting with your data.
 .
 This package is part of the KDE share-like-connect module.

Package: share-like-connect-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: core shared data for share-like-connect
 This package contains architecture-independent data files needed to run
 share-like-connect.
 .
 This package is part of the KDE share-like-connect module.
